#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libattr1 installation
#
# Creation   :  2017-12-13 holbru
# Last update:  $Id: postinstall-libattr1.sh 47889 2017-12-14 21:15:05Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libattr1

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman query --installed --unstable --fields='version' attr | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/bin/attr
    rm -f /usr/bin/getfattr
    rm -f /usr/bin/setfattr
    rm -f /usr/share/locale/de/LC_MESSAGES/attr.mo
    rm -f /usr/share/locale/fr/LC_MESSAGES/attr.mo
fi

rm -f /usr/lib/libattr.so.1
rm -f /usr/lib/libattr.so.1.1.0

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
